Skip to main content
GET
/
posts
/
{post}
/
activities
List activities
curl --request GET \
  --url https://api.postflow.app/v1/posts/{post}/activities \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "post_activity_id": "<string>",
      "post_id": "<string>",
      "user_id": "<string>",
      "guest_name": "<string>",
      "event": "editedPost",
      "data": "<string>",
      "source": 1,
      "subject_type": "<string>",
      "subject_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "links": [
    {
      "url": "<string>",
      "label": "<string>",
      "active": true
    }
  ],
  "meta": {
    "current_page": 123,
    "first_page_url": "<string>",
    "from": 123,
    "last_page": 123,
    "last_page_url": "<string>",
    "next_page_url": "<string>",
    "path": "<string>",
    "per_page": 123,
    "prev_page_url": "<string>",
    "to": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

post
string
required

The post ID

Response

The paginated collection of PostActivityData

data
PostActivityData · object[]
required

The list of items

Generated paginator links.

meta
object
required